# Copyright 2016 The WWU eLectures Team All rights reserved.
#
# Licensed under the Educational Community License, Version 2.0
# (the "License"); you may not use this file except in compliance with
# the License. You may obtain a copy of the License at
#
#     http://opensource.org/licenses/ECL-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

version: "3"

volumes:
  data: {}

services:
  activemq:
    image: webcenter/activemq:5.14.3
    environment:
      - ACTIVEMQ_MIN_MEMORY=128
      - ACTIVEMQ_MAX_MEMORY=1024
      - ACTIVEMQ_ENABLED_SCHEDULER=true
      - ACTIVEMQ_REMOVE_DEFAULT_ACCOUNT=true
      - ACTIVEMQ_OWNER_LOGIN=admin
      - ACTIVEMQ_OWNER_PASSWORD=password
    volumes:
      - ./assets/activemq.xml:/opt/activemq/conf/activemq.xml:ro

  opencast:
    image: quay.io/opencast/build:8.6
    tty: true
    stdin_open: true
    environment:
      - OPENCAST_BUILD_USER_UID=${OPENCAST_BUILD_USER_UID:-1000}
      - OPENCAST_BUILD_USER_GID=${OPENCAST_BUILD_USER_GID:-1000}
      - ORG_OPENCASTPROJECT_SERVER_URL=http://localhost:8080
      - ORG_OPENCASTPROJECT_DOWNLOAD_URL=http://localhost:8080/static
      - ACTIVEMQ_BROKER_URL=failover://(tcp://activemq:61616)?initialReconnectDelay=2000&maxReconnectDelay=60000
      - ACTIVEMQ_BROKER_USERNAME=admin
      - ACTIVEMQ_BROKER_PASSWORD=password
    ports:
      - "8080:8080"
      - "5005:5005"
    volumes:
      - data:/data
      - "${M2_REPO:-~/.m2}:/home/opencast-builder/.m2"
      - "${OPENCAST_SRC}:/usr/src/opencast"
